# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_PreDefinedItem Class Reference

`#include <StepVisual_PreDefinedItem.hxx>`

Inheritance diagram for StepVisual_PreDefinedItem:

[legend]

## Public Member Functions

Standard_EXPORT | StepVisual_PreDefinedItem ()
| Returns a PreDefinedItem .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | name

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_PreDefinedItem::StepVisual_PreDefinedItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_PreDefinedItem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepVisual_DraughtingPreDefinedCurveFont, StepVisual_PreDefinedCurveFont, and StepVisual_PreDefinedTextFont.

virtual Standard_EXPORT void StepVisual_PreDefinedItem::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepVisual_PreDefinedItem::Name | ( |  | ) | const

Standard_EXPORT void StepVisual_PreDefinedItem::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepVisual_PreDefinedItem::name `[private]`

The documentation for this class was generated from the following file:

- StepVisual_PreDefinedItem.hxx